## r-cran-statnet.common 4.4.1

=== DESCRIPTION ===
Package: statnet.common
Version: 4.4.1
Date: 2020-10-03
Title: Common R Scripts and Utilities Used by the Statnet Project
        Software
Authors@R: c(
	person("Pavel N.", "Krivitsky", role=c("aut","cre"), email="pavel@statnet.org", comment=c(ORCID="0000-0002-9101-3362")),
	person("Skye", "Bender-deMoll", role=c("ctb"), email="skyebend@uw.edu"))
Description: Non-statistical utilities used by the software developed by the Statnet Project. They may also be of use to others.
Depends: R (>= 3.5)
Imports: utils, methods, coda, parallel, tools, rle
BugReports: https://github.com/statnet/statnet.common/issues
License: GPL-3 + file LICENSE
URL: https://statnet.org
RoxygenNote: 7.1.1
Encoding: UTF-8
Suggests: covr
NeedsCompilation: yes
Packaged: 2020-10-03 01:44:31 UTC; pavel
Author: Pavel N. Krivitsky [aut, cre] (<https://orcid.org/0000-0002-9101-3362>),
  Skye Bender-deMoll [ctb]
Maintainer: Pavel N. Krivitsky <pavel@statnet.org>
Repository: CRAN
Date/Publication: 2020-10-03 05:50:02 UTC

## r-cran-statnet.common 4.3.0

=== debian/changelog ===
r-cran-statnet.common (4.3.0-1) unstable; urgency=medium

  * Initial release (closes: #951511)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 17 Feb 2020 16:57:49 +0100

=== debian/control ===
Source: r-cran-statnet.common
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-coda
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common.git
Homepage: https://cran.r-project.org/package=statnet.common

Package: r-cran-statnet.common
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Common R Scripts and Utilities Used by the Statnet Project
 Non-statistical utilities used by the software developed by the Statnet
 Project. They may also be of use to others.

## r-cran-statnet.common 4.4.1

=== debian/changelog ===
r-cran-statnet.common (4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2020 17:40:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-coda
+               r-cran-coda,
+               r-cran-rle
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common.git
 Homepage: https://cran.r-project.org/package=statnet.common
+Rules-Requires-Root: no
 
 Package: r-cran-statnet.common
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/statnet.common_([-\d.]*)\.tar\.gz

## r-cran-statnet.common 4.5.0

=== DESCRIPTION ===
Package: statnet.common
Version: 4.5.0
Date: 2021-06-05
Title: Common R Scripts and Utilities Used by the Statnet Project
        Software
Authors@R: c(
    person("Pavel N.", "Krivitsky", role=c("aut","cre"), email="pavel@statnet.org", comment=c(ORCID="0000-0002-9101-3362", affiliation="University of New South Wales")),
    person("Skye", "Bender-deMoll", role=c("ctb"), email="skyebend@uw.edu"),
    person("Chad", "Klumb", role=c("ctb"), email="cklumb@gmail.com", comment=c(affiliation="University of Washington")))
Description: Non-statistical utilities used by the software developed by the Statnet Project. They may also be of use to others.
Depends: R (>= 3.5)
Imports: utils, methods, coda, parallel, tools
BugReports: https://github.com/statnet/statnet.common/issues
License: GPL-3 + file LICENSE
URL: https://statnet.org
RoxygenNote: 7.1.1
Encoding: UTF-8
Suggests: covr
NeedsCompilation: yes
Packaged: 2021-06-05 08:57:46 UTC; pavel
Author: Pavel N. Krivitsky [aut, cre] (<https://orcid.org/0000-0002-9101-3362>,
    University of New South Wales),
  Skye Bender-deMoll [ctb],
  Chad Klumb [ctb] (University of Washington)
Maintainer: Pavel N. Krivitsky <pavel@statnet.org>
Repository: CRAN
Date/Publication: 2021-06-05 13:40:02 UTC

=== debian/changelog ===
r-cran-statnet.common (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Aug 2021 14:55:54 +0200

r-cran-statnet.common (4.4.1-2) UNRELEASED; urgency=medium

  * debian/copyright: Update upstream contact information.
  * debian/upstream/metadata: add upstream's preferred reference

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Jun 2021 16:13:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-coda,
-               r-cran-rle
-Standards-Version: 4.5.0
+               r-cran-coda
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common.git
 Homepage: https://cran.r-project.org/package=statnet.common

## r-cran-statnet.common 4.6.0

=== debian/changelog ===
r-cran-statnet.common (4.6.0-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 11:48:39 +0200

=== debian/control ===
Source: r-cran-statnet.common
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common.git
Homepage: https://cran.r-project.org/package=statnet.common
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-coda
Testsuite: autopkgtest-pkg-r

Package: r-cran-statnet.common
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Common R Scripts and Utilities Used by the Statnet Project
 Non-statistical utilities used by the software developed by the Statnet
 Project. They may also be of use to others.

## r-cran-statnet.common 4.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: statnet.common
-Version: 4.5.0
-Date: 2021-06-05
+Version: 4.8.0
+Date: 2023-01-24
 Title: Common R Scripts and Utilities Used by the Statnet Project
         Software
 Authors@R: c(
@@ -13,15 +13,15 @@
 BugReports: https://github.com/statnet/statnet.common/issues
 License: GPL-3 + file LICENSE
 URL: https://statnet.org
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
-Suggests: covr
+Suggests: covr, rlang (>= 1.0.6)
 NeedsCompilation: yes
-Packaged: 2021-06-05 08:57:46 UTC; pavel
+Packaged: 2023-01-24 04:26:48 UTC; pavel
 Author: Pavel N. Krivitsky [aut, cre] (<https://orcid.org/0000-0002-9101-3362>,
     University of New South Wales),
   Skye Bender-deMoll [ctb],
   Chad Klumb [ctb] (University of Washington)
 Maintainer: Pavel N. Krivitsky <pavel@statnet.org>
 Repository: CRAN
-Date/Publication: 2021-06-05 13:40:02 UTC
+Date/Publication: 2023-01-24 15:40:08 UTC

=== debian/changelog ===
r-cran-statnet.common (4.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:17:13 +0100

r-cran-statnet.common (4.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2022 13:34:28 +0200

## r-cran-statnet.common 4.9.0

=== DESCRIPTION ===
Package: statnet.common
Version: 4.9.0
Date: 2023-05-24
Title: Common R Scripts and Utilities Used by the Statnet Project
        Software
Authors@R: c(
    person(c("Pavel", "N."), "Krivitsky", role=c("aut","cre"), email="pavel@statnet.org", comment=c(ORCID="0000-0002-9101-3362", affiliation="University of New South Wales")),
    person("Skye", "Bender-deMoll", role=c("ctb"), email="skyebend@uw.edu"),
    person("Chad", "Klumb", role=c("ctb"), email="cklumb@gmail.com", comment=c(affiliation="University of Washington")))
Description: Non-statistical utilities used by the software developed by the Statnet Project. They may also be of use to others.
Depends: R (>= 3.5)
Imports: utils, methods, coda, parallel, tools
BugReports: https://github.com/statnet/statnet.common/issues
License: GPL-3 + file LICENSE
URL: https://statnet.org
RoxygenNote: 7.2.3
Encoding: UTF-8
Suggests: covr, rlang (>= 1.1.1), MASS, Matrix
NeedsCompilation: yes
Packaged: 2023-05-24 06:07:22 UTC; pavel
Author: Pavel N. Krivitsky [aut, cre] (<https://orcid.org/0000-0002-9101-3362>,
    University of New South Wales),
  Skye Bender-deMoll [ctb],
  Chad Klumb [ctb] (University of Washington)
Maintainer: Pavel N. Krivitsky <pavel@statnet.org>
Repository: CRAN
Date/Publication: 2023-05-24 16:10:02 UTC

=== debian/changelog ===
r-cran-statnet.common (4.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 28 Jun 2023 09:52:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common.git
 Homepage: https://cran.r-project.org/package=statnet.common
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-statnet.common 4.11.0

=== DESCRIPTION ===
Package: statnet.common
Version: 4.11.0
Date: 2024-12-29
Title: Common R Scripts and Utilities Used by the Statnet Project
        Software
Authors@R: c(
    person(c("Pavel", "N."), "Krivitsky", role=c("aut","cre"), email="pavel@statnet.org", comment=c(ORCID="0000-0002-9101-3362", affiliation="University of New South Wales")),
    person("Skye", "Bender-deMoll", role=c("ctb"), email="skyebend@uw.edu"),
    person("Chad", "Klumb", role=c("ctb"), email="cklumb@gmail.com", comment=c(affiliation="University of Washington")))
Description: Non-statistical utilities used by the software developed by the Statnet Project. They may also be of use to others.
Depends: R (>= 3.5)
Imports: utils, methods, coda, parallel, tools, Matrix
BugReports: https://github.com/statnet/statnet.common/issues
License: GPL-3 + file LICENSE
URL: https://statnet.org
RoxygenNote: 7.3.2.9000
Encoding: UTF-8
Suggests: covr, rlang (>= 1.1.1), MASS
NeedsCompilation: yes
Packaged: 2024-12-29 04:34:57 UTC; pavel
Author: Pavel N. Krivitsky [aut, cre] (<https://orcid.org/0000-0002-9101-3362>,
    University of New South Wales),
  Skye Bender-deMoll [ctb],
  Chad Klumb [ctb] (University of Washington)
Maintainer: Pavel N. Krivitsky <pavel@statnet.org>
Repository: CRAN
Date/Publication: 2025-01-08 08:40:02 UTC

=== debian/changelog ===
r-cran-statnet.common (4.11.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 00:23:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common.git
 Homepage: https://cran.r-project.org/package=statnet.common
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-coda
+               r-cran-coda,
+               r-cran-matrix
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-statnet.common

## r-cran-statnet.common 4.13.0

=== DESCRIPTION ===
Package: statnet.common
Version: 4.13.0
Date: 2025-12-16
Title: Common R Scripts and Utilities Used by the Statnet Project
        Software
Authors@R: c(
    person(c("Pavel", "N."), "Krivitsky", role=c("aut","cre"), email="pavel@statnet.org", comment=c(ORCID="0000-0002-9101-3362", affiliation="University of New South Wales")),
    person("Skye", "Bender-deMoll", role=c("ctb"), email="skyebend@uw.edu"),
    person("Chad", "Klumb", role=c("ctb"), email="cklumb@gmail.com", comment=c(affiliation="University of Washington")),
    person("Michał", "Bojanowski", role=c("ctb"), email="michal2992@gmail.com", comment=c(ORCID="0000-0001-7503-852X")))
Description: Non-statistical utilities used by the software developed by the Statnet Project. They may also be of use to others.
Depends: R (>= 4.1)
Imports: utils, methods, coda, parallel, tools, Matrix
BugReports: https://github.com/statnet/statnet.common/issues
License: GPL-3 + file LICENSE
URL: https://statnet.org
RoxygenNote: 7.3.2.9000
Encoding: UTF-8
Suggests: covr, roxygen2, rlang (>= 1.1.1), purrr, testthat, MASS
NeedsCompilation: yes
Packaged: 2025-12-16 11:40:25 UTC; pavel
Author: Pavel N. Krivitsky [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-9101-3362>, affiliation: University of
    New South Wales),
  Skye Bender-deMoll [ctb],
  Chad Klumb [ctb] (affiliation: University of Washington),
  Michał Bojanowski [ctb] (ORCID:
    <https://orcid.org/0000-0001-7503-852X>)
Maintainer: Pavel N. Krivitsky <pavel@statnet.org>
Repository: CRAN
Date/Publication: 2025-12-16 18:10:10 UTC

=== debian/changelog ===
r-cran-statnet.common (4.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 12:18:07 +0900

=== debian/control ===
Source: r-cran-statnet.common
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-coda,
 r-cran-matrix,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statnet.common.git
Homepage: https://cran.r-project.org/package=statnet.common
Rules-Requires-Root: no

Package: r-cran-statnet.common
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Common R Scripts and Utilities Used by the Statnet Project
 Non-statistical utilities used by the software developed by the Statnet
 Project. They may also be of use to others.
